Summary:        NDE NetworkManager tray icon
Name:           nde-networkmanager
Version:        0.0.1
Release:        104%{?dist} 
License:        GPLv2+
Source0:        nde-networkmanager-%{version}.tar.gz
BuildRequires:  cmake, gcc, gcc-c++, nde-lib-devel
BuildRequires:  pkgconfig(Qt5Core), pkgconfig(Qt5Widgets), pkgconfig(Qt5Gui), pkgconfig(Qt5DBus), pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Network), cmake(Qt5LinguistTools), nde-widget
BuildRequires:  kf5-networkmanager-qt-devel, kf5-modemmanager-qt-devel, kf5-kwindowsystem-devel
BuildRequires:  ModemManager-devel, glib2-devel
BuildRequires:  desktop-file-utils
Requires:  kf5-kwindowsystem
Requires:  NetworkManager-wifi
Requires:  nm-connection-editor
Requires:  nde-widget
Requires:  nde-lib
Recommends:     %{_bindir}/nmtui-edit
Supplements:    nde-panel



%description
nde-networkmanager is a simple NetworkManager front end
with information icon residing in system tray
(like e.g. nm-applet).
It's a pure Qt application.



%prep
%autosetup



%build
%cmake -DNM_TRAY_XDG_AUTOSTART_DIR:STRING="%{_sysconfdir}/xdg/autostart" -DWITH_MODEMMANAGER_SUPPORT=ON

%cmake_build



%install
%cmake_install
install -p -m0644 -D -t %{buildroot}%{_sysconfdir}/xdg %{buildroot}%{_datadir}/%{name}/%{name}.conf

%find_lang %{name} --with-qt



%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop



%files -f %{name}.lang
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%config %{_sysconfdir}/xdg/autostart/%{name}-autostart.desktop
%config(noreplace) %{_sysconfdir}/xdg/%{name}.conf
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{name}.conf



%changelog
* Tue Jan 30 2024 Zhao Zhen <jeremiazhao@tencent.com> - 0.0.1-104
- small fix

* Tue Nov 10 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-103
- 修复屏幕尺寸变化时，显示错位的问题

* Tue Oct 27 2020 He.leilei <he.leilei@zte.com.cn> - 0.0.1-20
- 关闭动画后样式修改

* Thu Sep 03 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-19
- 修复网络在任务栏隐藏时显示位置不正确的问题

* Mon Jul 27 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-18
- 修复网络在小分辨率情况下的显示问题

* Thu Jul 16 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-16
- 添加wifi网络断开。

* Thu Jul 16 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-15
- 修复有线网络连接失败时，显示状态不正确的问题。

* Wed Jul 15 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-14
- 修复无密码情况下自动连接问题。

* Tue Jul 14 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-13
- 修复Bug#2272；调整网络布局。 

* Wed Jul 1 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-12
- fix bug。 

* Wed Jul 1 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-11
- 添加wifi开关。 

* Mon Jun 29 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-10
- 添加wifi依赖。

* Thu Jun 18 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-9
- 修复小分辨率情况下，显示位置不正确的问题

* Thu Jun 18 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-8
- 删除依赖xterm

* Thu Jun 18 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-7
- 网络管理器bug修改,激活的连接放到第一项

* Fri Jun 12 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-6
- 网络管理器bug修改,激活的连接放到第一项

* Thu Jun 11 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-5
- 网络管理器bug修改,图片替换

* Wed Jun 10 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-4
- 网络管理器bug修改

* Tue Jun 9 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-3
- 添加新版本网络管理代码

* Tue Jun 2 2020 Cheng Qian <cheng.qian2@zte.com.cn> - 0.0.1-2
- 修改电源管理器中文名称

* Thu May 28 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-1
- 新版本发布
